Subject: bug#29231: 26.0.90; invald file name for symbolic files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Nov 2017 22:17:45 +0200

> From: Vincent Zhang <[email-masked]>
> Date: Thu, 9 Nov 2017 17:41:42 +0000
> 
> In Emacs 24 an 25, the symbolic file names are same as other files (e.g.
> '~/xxx), but in Emacs 26, the file name is '~/xxx/', thus 'ido' or 'ivy'
> handles files incorrectly. In fact, it will recognize it as a folder and
> create a new file.

Thanks, but please provide a minimal recipe to reproduce this,
starting from "emacs -Q".  This will allow us to investigate the
issue.